import { HttpClient, HttpHeaders } from '@angular/common/http';
import { AuthorizerService } from '@vcomply/authorizer';
import { Configurations } from '../../../configurations';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TemplateService {
    private http;
    private authService;
    env: any;
    private tokenDetails;
    constructor(http: HttpClient, authService: AuthorizerService, config?: Configurations);
    sortByKey(array: any[], key: string, order?: number): any[];
    get headerToken(): HttpHeaders;
    fetchTemplates(payload: any): Observable<Object>;
    fetchDefaultCategories(): Observable<any>;
    getTemplateContent(id: string, type?: string): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TemplateService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TemplateService>;
}
